package com.persagy.data_dict_tool.v2;

import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.pbsage.util.Constant;
import com.pbsage.util.HttpUtil;

//ӡбǩ
public class TagMain {
	public static String projectId = "Pj4403070003";
	public static String groupCode = "WD";
	// public static String projectId = "Pj4403050019";
	// public static String groupCode = "ZS";

	public static void main(String[] args) throws Exception {
		JSONObject classParam = new JSONObject();
		classParam.put("criteria", new JSONObject());
		JSONObject classTree = JSON
				.parseObject(HttpUtil.Instance().post(Constant.data_middle_url + "rwd/def/class?projectId=" + projectId + "&groupCode=" + groupCode,
						JSON.toJSONString(classParam, SerializerFeature.WriteMapNullValue)));
		// Constant.warn(JSON.toJSONString(classTree, SerializerFeature.WriteMapNullValue));
		// Constant.warn(FastJsonUtil.toFormatString(classTree));
		Map<String, Boolean> firstTagMap = new HashMap<String, Boolean>();
		Map<String, Boolean> secondTagMap = new HashMap<String, Boolean>();
		JSONArray dataArray = (JSONArray) classTree.get("data");
		for (int i = 0; i < dataArray.size(); i++) {
			JSONObject item = (JSONObject) dataArray.get(i);
			String classCode = (String) item.get("code");
			if (classCode == null) {
				continue;
			}
			JSONArray infos = DataDictQueryUtil_v2.get_infos(classCode, projectId, groupCode);
			for (int ii = 0; ii < infos.size(); ii++) {
				JSONObject info = (JSONObject) infos.get(ii);
				String firstTag = (String) info.get("firstTag");
				String secondTag = (String) info.get("secondTag");
				if (firstTag != null) {
					firstTagMap.put(firstTag, true);
				}
				if (secondTag != null) {
					secondTagMap.put(secondTag, true);
				}
			}
		}
		String[] firstTags = firstTagMap.keySet().toArray(new String[0]);
		Arrays.sort(firstTags);
		for (String tag : firstTags) {
			Constant.warn(tag);
		}
		Constant.warn("----");

		String[] secondTags = secondTagMap.keySet().toArray(new String[0]);
		Arrays.sort(secondTags);
		for (String tag : secondTags) {
			Constant.warn(tag);
		}

	}
}
