package com.persagy.data_dict_tool.v2;

import java.util.HashMap;
import java.util.Map;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.pbsage.util.Constant;
import com.pbsage.util.HttpUtil;

//ͳÿ豸
public class DataDictCount {
	public static String projectId = "Pj4403070003";
	public static String groupCode = "WD";
	// public static String projectId = "Pj4403050019";
	// public static String groupCode = "ZS";

	public static void main(String[] args) throws Exception {
		int index = 0;
		projectId = args[index++];
		groupCode = args[index++];

		Scan_dict();
	}

	public static void Scan_dict() throws Exception {
		JSONObject classParam = new JSONObject();
		classParam.put("criteria", new JSONObject());
		JSONObject classTree = JSON
				.parseObject(HttpUtil.Instance().post(Constant.data_middle_url + "rwd/def/class?projectId=" + projectId + "&groupCode=" + groupCode,
						JSON.toJSONString(classParam, SerializerFeature.WriteMapNullValue)));
		// Constant.warn(JSON.toJSONString(classTree, SerializerFeature.WriteMapNullValue));
		// Constant.warn(FastJsonUtil.toFormatString(classTree));
		JSONArray dataArray = (JSONArray) classTree.get("data");

		// print(dataArray, "objType");
		// print(dataArray, "majorCode");
		// print(dataArray, "systemCode");
		// print(dataArray, "code");
		// print(dataArray, "type");

		print(dataArray);
	}

	@SuppressWarnings("unused")
	public static void print(JSONArray dataArray) throws Exception {
		Map<String, Long> objTypeMap = new HashMap<String, Long>();
		for (int i = 0; i < dataArray.size(); i++) {
			JSONObject data = (JSONObject) dataArray.get(i);
			String objType = (String) data.get("objType");
			if (objType == null || objType.length() == 0) {
				continue;
			}
			String majorCode = (String) data.get("majorCode");
			if (majorCode == null || majorCode.length() == 0) {
				continue;
			}
			if (objType.equals("system") || objType.equals("equipment")) {
				String systemCode = (String) data.get("systemCode");
				String code = (String) data.get("code");
				String full = objType + "\t" + majorCode + "\t" + (systemCode == null ? "" : systemCode + "\t") + code;
				// if (code.equals("FFFSSN")) {
				// continue;
				// }
				// if (!code.equals("OTSERH")) {
				// continue;
				// }
				// if (!majorCode.equals("AC")) {
				// continue;
				// }

				long count;
				{
					JSONObject criteria = new JSONObject();
					criteria.put("classCode", code);
					JSONObject classParam = new JSONObject();
					classParam.put("criteria", criteria);
					JSONObject classTree = JSON.parseObject(HttpUtil.Instance().post(
							Constant.data_middle_url + "rwd/instance/object/query?projectId=" + projectId + "&groupCode=" + groupCode,
							JSON.toJSONString(classParam, SerializerFeature.WriteMapNullValue)));
					count = (Integer) classTree.get("count");
				}
				Constant.warn(code + "\t" + count);
				objTypeMap.put(code, count);
			}
		}

		Constant.warn("****************************************************************");
		String[] keys = objTypeMap.keySet().toArray(new String[0]);
		for (String key : keys) {
			long count = objTypeMap.get(key);
			Constant.warn(key + "\t" + count);
		}
	}
}
