package com.persagy.data_dict_tool.v2;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.pbsage.util.Constant;
import com.pbsage.util.HttpUtil;

public class DataDictQueryUtil_v2 {

	public static JSONArray get_infos(String classCode, String projectId, String groupCode) throws Exception {
		JSONObject criteria = new JSONObject();
		criteria.put("classCode", classCode);
		JSONObject classParam = new JSONObject();
		classParam.put("criteria", criteria);
		JSONObject classTree = JSON
				.parseObject(HttpUtil.Instance().post(Constant.data_middle_url + "rwd/def/funcid?projectId=" + projectId + "&groupCode=" + groupCode,
						JSON.toJSONString(classParam, SerializerFeature.WriteMapNullValue)));
		// Constant.warn(JSON.toJSONString(classTree, SerializerFeature.WriteMapNullValue));
		// Constant.warn(FastJsonUtil.toFormatString(classTree));
		JSONArray dataArray = (JSONArray) classTree.get("data");
		if (dataArray == null) {
			dataArray = new JSONArray();
		}
		return dataArray;
	}

	public static JSONArray getObjects(String classCode, String projectId, String groupCode) throws Exception {
		JSONObject criteria = new JSONObject();
		criteria.put("classCode", classCode);
		JSONObject classParam = new JSONObject();
		classParam.put("criteria", criteria);
		JSONObject classTree = JSON.parseObject(
				HttpUtil.Instance().post(Constant.data_middle_url + "rwd/instance/object/query?projectId=" + projectId + "&groupCode=" + groupCode,
						JSON.toJSONString(classParam, SerializerFeature.WriteMapNullValue)));
		JSONArray objectArray = (JSONArray) classTree.get("data");
		if (objectArray == null) {
			objectArray = new JSONArray();
		}
		return objectArray;
	}
}
